#!/bin/bash

set -e

if [ "$1" = configure ]; then

	echo -n "Installing senddiff-perl... "

	update-alternatives --install /usr/bin/senddiff senddiff /usr/lib/senddiff-perl/senddiff.perl 500 \
	--slave /usr/bin/senddiffd senddiffd /usr/lib/senddiff-perl/senddiffd.perl \
	--slave /usr/bin/senddiffc senddiffc /usr/lib/senddiff-perl/senddiff.perl \
	--slave /usr/bin/senddiffg senddiffg /usr/lib/senddiff-perl/senddiff.perl \
	--slave /usr/share/man/man1/senddiff.1.gz senddiff.1.gz /usr/share/senddiff-perl/man/senddiff.1.gz \
	--slave /usr/share/man/man1/senddiffd.1.gz senddiffd.1.gz /usr/share/senddiff-perl/man/senddiffd.1.gz \
	--slave /usr/share/man/man1/senddiffg.1.gz senddiffg.1.gz /usr/share/senddiff-perl/man/senddiff.1.gz \
	--slave /usr/share/man/man1/senddiffc.1.gz senddiffc.1.gz /usr/share/senddiff-perl/man/senddiff.1.gz

	update-alternatives --auto senddiff

	echo "done."

fi

exit 0
